<?php
/**
*
* @copyright (c) 2022, Chris1278, https://christian-esch.de
*
* @license GNU General Public License, version 2 (GPL-2.0)
*
*/

namespace chris1278\jsclock;

class ext extends \phpbb\extension\base
{
	private function get_adm_back_link()
	{
		return adm_back_link(append_sid('index.' . $this->container->getParameter('core.php_ext'), 'i=acp_extensions&amp;mode=main'));
	}

	public function is_enableable()
	{
		$is_enableable = true;
		$language	= $this->container->get('language');
		$language->add_lang('jsclock_error', 'chris1278/jsclock');
		$phpbb_min_ver		= '3.3.0';
		$phpbb_below_ver	= '3.4.0@dev';
		$php_min_ver	= '7.2.0';
		$php_below_ver	= '8.2.0';
		$error	= [];

		if (!(phpbb_version_compare(PHP_VERSION, $php_min_ver, '>=') && phpbb_version_compare(PHP_VERSION, $php_below_ver, '<')))
		{
			$error[]	= $language->lang('EXTENSION_NOT_ENABLEABLE') . '<br>' . $language->lang('JSCLOCK_ERROR_PHP_MISTMATCH', $php_min_ver, $php_below_ver);
		}

		if (!(phpbb_version_compare(PHPBB_VERSION, $phpbb_min_ver, '>=') && phpbb_version_compare(PHPBB_VERSION, $phpbb_below_ver, '<')))
		{
			$error[]	= $language->lang('EXTENSION_NOT_ENABLEABLE') . '<br>' . $language->lang('JSCLOCK_ERROR_PHPBB_MISTMATCH', $phpbb_min_ver, $phpbb_below_ver);
		}

		if (!empty($error))
		{
			$errors		= implode('<br>', $error);
			trigger_error ($errors . $this->get_adm_back_link(), E_USER_WARNING);
		}

		return $is_enableable;
	}
}
